## bond

bond — Bonding Settings

## Properties

Table 55.

Key Name | Value Type | Default Value | Value Description
--- | --- | --- | ---

    interface-name

    string

Deprecated in favor of connection.interface-name, but can be used for backward-compatibility with older daemons, to set the bond's interface name.

    name

    string

    bond

The setting's name, which uniquely identifies the setting within the connection. Each setting type has a name unique to that type, for example "ppp" or "wireless" or "wired".

    options

    dict of string to string

    {'mode': 'balance-rr'}

Dictionary of key/value pairs of bonding options. Both keys and values must be strings. Option names must contain only alphanumeric characters (ie, [a-zA-Z0-9]).